terraform {
  backend "s3" {
    bucket                      = "infra"
    key                         = "terraform/keycloak.tfstate"
    endpoint                    = "https://s3.tobiasmanske.de"
    force_path_style            = true
    region                      = "us-east-1"
    skip_credentials_validation = true
    skip_region_validation      = true
    skip_metadata_api_check     = true
  }
  required_providers {
    keycloak = {
      source  = "mrparkers/keycloak"
      version = "~> 4.3.0"
    }
    cloudflare = {
      source  = "cloudflare/cloudflare"
      version = "~> 4.0"
    }
  }
}

data "keycloak_realm" "realm" {
  realm = var.realm
}
